<div class="conatiner-fluid container-todos">
    <div class="overfload-todos">
        <div class="row">
            <div class="col-md-4 col-12 col-todos">
                <div class="p-1 div-logo text-center">
                    <img src="assets/img/rappi/logorappi.png">
                </div>
                <div class="p-1 div-text">
                    <span class="text-logo">Rappi</span>
                </div>   
            </div>
            <div class="col-md-8 col-12 col-fechas">
                <div class="container-fluid">
                    <div class="row">
                        <div class="col-md-8 col-12 p-0">
                            <form [formGroup]="FeFormRappi" (ngSubmit)="onSubmit()">
                                <div class="container-fluid">
                                    <div class="row">
                                        <div class="col-md-4 col-5 p-0">
                                            <div class="form-group">
                                                <div class="box p-1 pl-2">
                                                    <input [owlDateTime]="dt1" [max]="max" class="form-control input-fechas" formControlName="desde" placeholder="Desde" 
                                                    [ngClass]="{'is-invalid': submitted && f.desde.errors}">
                                                        
                                                    <span class="trigger" [owlDateTimeTrigger]="dt1">
                                                        <img src="assets/img/todas/calendario.png">
                                                    </span>
                                                    <owl-date-time [pickerType]="'calendar'"  #dt1></owl-date-time>      
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-md-1 col-2  p-0 text-center div-guion">
                                            <div class="box2 mr-2 ml-2">
                                                <div class="box1">
                                                
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-md-4 col-5  p-0">
                                            <div class="form-group">
                                                <div class="box p-1 pl-2">
                                                    <input [owlDateTime]="dt2" [max]="max" class="form-control input-fechas" formControlName="hasta" placeholder="Hasta" 
                                                    [ngClass]="{'is-invalid': submitted && f.hasta.errors}">
                                                    <span class="trigger" [owlDateTimeTrigger]="dt2">
                                                        <img src="assets/img/todas/calendario.png">
                                                    </span>
                                                    <owl-date-time [pickerType]="'calendar'"  #dt2></owl-date-time> 
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-md-3 col-12 col-submit">
                                            <button type="submit" class="bot-filter">Filtrar</button>
                                        </div>
                                    </div>
                                </div>    
                            </form>    
                        </div>
                        <div class=" col-md-4 col-12 p-0 col-des">
                            <button class="bot-descargar">Descargar CSV</button>
                        </div>
                    </div>
                </div>           
            </div>
            <div class="col-md-4 mt-4">
                <div class="box-rappi">
                    <div class="row">
                        <div class="col-md-6 col-6">
                            <span class="sp-data">2,696</span>
                            <p class="p-info">Usuarios actuales</p>
                        </div>
                        <div class="col-md-6 col-6 text-center">
                            <img src="assets/img/rappi/usuarios.png" class="img-fluid">
                        </div>
                    </div> 
                </div>
            </div>
            <div class="col-md-4 mt-4">
                <div class="box-rappi">
                    <div class="row">
                        <div class="col-md-6 col-6">
                            <span class="sp-data">3500</span>
                            <p class="p-info">Total clicks</p>
                        </div>
                        <div class="col-md-6 col-6 text-center">
                            <img src="assets/img/todas/click.png" class="img-fluid">
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-md-4 mt-4">
                <div class="box-rappi-1">
                    <div class="row">
                        <div class="col-md-6 col-6">
                            <span class="sp-data">2,696</span>
                            <p class="p-info">Total de descargas</p>
                        </div>
                        <div class="col-md-6 col-6 text-center">
                            <img src="assets/img/todas/descarga.png" class="img-fluid">
                        </div>
                    </div>
                </div>
            </div> 
            <div class="col-md-4 mt-4">
                <div class="box-body-rappi">
                    <div class="row">
                        <div class="col-md-12 col-12">
                            <div id="container4">

                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-md-8 mt-4">
                <div class="box-body-rappi-1">
                    <div class="row">
                        <div class="col-md-12">
                            <div id="container3">

                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-md-4 mt-4">
                <div class="box-body-rappi-ciudades">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="row mb-4">
                                <div class="col-md-6 col-6">   
                                    <span class="sp-titulo">Ciudades</span>
                                </div>
                                <div class="col-md-6 col-6 text-right">
                                    <span class="ciu-numero">{{Datos.length}}</span>
                                </div>
                            </div>
                            <div class="contenido-datos" *ngFor="let Dato of Datos">
                                <div class="row">
                                    <div class="col-md-6 col-6">
                                        <ul class="p-0 pl-4 lista-todas">
                                            <li>
                                                <span>{{Dato.ciudad}}</span>
                                            </li>     
                                        </ul>
                                    </div>
                                    <div class="col-md-6 col-6 text-right">
                                        <ul>
                                            <li style="list-style: none;color: #E93030">
                                                {{Dato.numero}}
                                            </li>                                             
                                        </ul>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-md-8 mt-4">
                <div class="box-body-rappi-1">
                    <div class="row">
                        <div class="col-md-12">
                            <agm-map [latitude]="lat" [longitude]="lng"></agm-map>
                        </div>
                    </div>
                </div>
            </div> 
        </div>
    </div>    
</div>
<ngx-spinner  bdColor="rgba(255, 255, 255, 0.8);"
size="medium"
color="#FC3232"
type="ball-spin-clockwise-fade-rotating">                            
</ngx-spinner>    
